/*******************************************************************************
 *                                                                             *
 * Copyright (c) 2011 Texas Instruments Incorporated - http://www.ti.com/      *
 *                        ALL RIGHTS RESERVED                                  *
 *                                                                             *
 ******************************************************************************/

/*
 *   @file  app_mem_seg_placement.cfg
 *
 *   @brief
 */

function init()
{
    var Program = xdc.useModule('xdc.cfg.Program');
        Program.sectMap[".text"]                    = "CODE_CORE_IPU1_1";
        Program.sectMap[".cinit"]                   = "CODE_CORE_IPU1_1";
        Program.sectMap[".pinit"]                   = "CODE_CORE_IPU1_1";
        Program.sectMap[".args"]                    = "CODE_CORE_IPU1_1";
        Program.sectMap[".const"]                   = "PRIVATE_DATA_CORE_IPU1_1";
        Program.sectMap[".sysmem"]                  = "PRIVATE_DATA_CORE_IPU1_1";
        Program.sectMap[".systemHeap"]              = "PRIVATE_DATA_CORE_IPU1_1";
        Program.sectMap[".stack"]                   = "PRIVATE_DATA_CORE_IPU1_1";
        Program.sectMap[".stackMemory"]             = "PRIVATE_DATA_CORE_IPU1_1";
        Program.sectMap[".bss:taskStackSection"]    = "PRIVATE_DATA_CORE_IPU1_1";
        //BSP memory section placement
        Program.sectMap[".bss"]                     = "PRIVATE_DATA_CORE_IPU1_1";
        Program.sectMap[".rodata"]                  = "PRIVATE_DATA_CORE_IPU1_1";
        Program.sectMap[".neardata"]                = "PRIVATE_DATA_CORE_IPU1_1";
        Program.sectMap[".data"]                    = "PRIVATE_DATA_CORE_IPU1_1";
        Program.sectMap[".plt"]                     = "PRIVATE_DATA_CORE_IPU1_1";
        Program.sectMap[".far:NDK_MMBUFFER"]        = "PRIVATE_DATA_CORE_IPU1_1";
        Program.sectMap[".far:NDK_MMBUFFER1"]       = "PRIVATE_DATA_CORE_IPU1_1";
        Program.sectMap[".far:NDK_OBJMEM"]          = "PRIVATE_DATA_CORE_IPU1_1";
        Program.sectMap[".far:NDK_PACKETMEM"]       = "PRIVATE_DATA_CORE_IPU1_1";
		Program.sectMap[".my_sect_ddr"]             = "PRIVATE_DATA_CORE_IPU1_1";
}
